%define	upstream_name	 Crypt-OpenSSL-RSA
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   openssl
BuildRequires: perl(Crypt::OpenSSL::Random)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl-devel
BuildRequires: perl-Crypt-OpenSSL-Random
BuildRequires: openssl-devel
%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.280.0-13pclos2017
- rebuild against updates

